Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.value
Interface ValueSelector

All Superinterfaces:
  EventListener, Selector, SolverLifecycleListener, SolverPhaseLifecycleListener

All Known Subinterfaces:
  EntityIndependentValueSelector

All Known Implementing Classes:
  AbstractCachingValueSelector, AbstractValueSelector, CachingValueSelector, EntityDependentSortingValueSelector, FromEntityPropertyValueSelector, FromSolutionPropertyValueSelector, InitializedValueSelector, ProbabilityValueSelector, ReinitializeVariableValueSelector, ShufflingValueSelector, SortingValueSelector

    public interface ValueSelector

extends Selector

Selects values from the ValueRangeProvider) for a {@link PlanningVariable} annotated property.

See Also:
  `AbstractValueSelector`

Method Summary
`long` | `getSize(Object entity)` Similar to `IterableSelector.getSize()`, but requires an entity.
`PlanningVariableDescriptor` | `getVariableDescriptor()`
`Iterator<Object>` | `iterator(Object entity)` Similar to `Iterable.iterator()`, but requires an entity.

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`getCacheType, isContinuous, isNeverEnding`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### getSize

    long getSize(Object entity)

  Similar to `IterableSelector.getSize()`, but requires an entity.

  Parameters:
    `entity` - never null
  Returns:
    the approximate number of elements generated by this `Selector`, always >= 0
  Throws:
    `IllegalStateException` - if `Selector.isContinuous()` returns true, but not if only `Selector.isNeverEnding()` returns true

### iterator

    Iterator<Object> iterator(Object entity)

  Similar to `Iterable.iterator()`, but requires an entity.

  Parameters:
    `entity` - never null
  Returns:
    never null

### getVariableDescriptor

    PlanningVariableDescriptor getVariableDescriptor()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.